Endpoint Examples

/versions/{version_type}/skills

Returns a list of all skills in {version} sorted by skill name

GET /versions/{version_type}/skills

Path Parameters

NameTypeDescription
versionstringThe skills taxonomy version. Example: latest

Query Parameters

NameTypeDescription
qstringA query string of skill names to search for.This parameter is optional.Example: .NET
typeIdsstringA comma-separated list of type IDs to filter the skills list. By default all types are included. This parameter is optional.Example: ST1,ST2
fieldsstringA comma-separated list of items to include. By default id, name, type, and infoUrl are included.This parameter is optional.Example: id,name,type,infoUrl
limitintegerLimit the number of skills returned in the response.This parameter is optional.Example: 5

Code Examples

curl --request GET \
     --url https://api.lightcast.io/skills/versions/latest/skills \
     --header 'accept: application/json' \
     --header 'authorization: Bearer <ACCESS_TOKEN>"

Response Examples

{
  "attributions": [
    {
      "name": "Wikipedia",
      "text": "Wikipedia extracts are distributed under the CC BY-SA license (https://creativecommons.org/licenses/by-sa/3.0/)"
    }
  ],
  "data": [
    {
      "id": "KS120P86XDXZJT3B7KVJ",
      "name": "(American Society For Quality) ASQ Certified",
      "type": {
        "id": "ST3",
        "name": "Certification"
      },
      "infoUrl": "https://lightcast.io/open-skills/skills/KS120P86XDXZJT3B7KVJ"
    },
    {
      "id": "KS126XS6CQCFGC3NG79X",
      "name": ".NET Assemblies",
      "type": {
        "id": "ST1",
        "name": "Specialized Skill"
      },
      "infoUrl": "https://lightcast.io/open-skills/skills/KS126XS6CQCFGC3NG79X"
    },
    {
      "id": "KS1200B62W5ZF38RJ7TD",
      "name": ".NET Framework",
      "type": {
        "id": "ST1",
        "name": "Specialized Skill"
      },
      "infoUrl": "https://lightcast.io/open-skills/skills/KS1200B62W5ZF38RJ7TD"
    }
  ]
}
{
  "errors": [
    {
      "status": 400,
      "title": "Invalid request",
      "detail": "Invalid request body"
    }
  ]
}
{
  "errors": [
    {
      "title": "URL not found",
      "status": 404,
      "detail": "Unrecognized version: 77"
    }
  ]
}

POST /versions/{version_type}/skills

Path Parameters

NameTypeDescription
versionstringThe skills taxonomy version. Example: latest

Query Parameters

NameTypeDescription
typeIdsstringA comma-separated list of type IDs to filter the skills list. By default all types are included. This parameter is optional. Example: ST1,ST2
fieldsstringA comma-separated list of items to include. By default id, name, type, and infoUrl are included.This parameter is optional.Example: id,name,type,infoUrl

Code Examples

curl --request POST \
     --url https://api.lightcast.io/skills/versions/9.31/skills \
     --header 'accept: application/json' \
     --header 'authorization: Bearer <ACCESS_TOKEN>' \
     --header 'content-type: application/json' \

Response Examples

{
  "attributions": [
    {
      "name": "Wikipedia",
      "text": "Wikipedia extracts are distributed under the CC BY-SA license (https://creativecommons.org/licenses/by-sa/3.0/)"
    }
  ],
  "data": [
    {
      "id": "KS1200364C9C1LK3V5Q1",
      "name": "C (Programming Language)",
      "type": {
        "id": "ST1",
        "name": "Specialized Skill"
      },
      "infoUrl": "https://lightcast.io/open-skills/skills/KS1200364C9C1LK3V5Q1"
    },
    {
      "id": "KS125QD6K0QLLKCTPJQ0",
      "name": "C-Based Programming Languages",
      "type": {
        "id": "ST1",
        "name": "Specialized Skill"
      },
      "infoUrl": "https://lightcast.io/open-skills/skills/KS125QD6K0QLLKCTPJQ0"
    },
    {
      "id": "KS1275N74XZ574T7N47D",
      "name": "Objective-C (Programming Language)",
      "type": {
        "id": "ST1",
        "name": "Specialized Skill"
      },
      "infoUrl": "https://lightcast.io/open-skills/skills/KS1275N74XZ574T7N47D"
    }
  ]
}
{
  "errors": [
    {
      "status": 400,
      "title": "Invalid request",
      "detail": "Invalid request body"
    }
  ]
}
{
  "errors": [
    {
      "title": "URL not found",
      "status": 404,
      "detail": "Unrecognized version: 77"
    }
  ]
}

/versions/{version}/skills/{skill_id}

Returns information about a specific skill.

GET /versions/{version_type}/skills/{skill_id}

If a skill that has been removed is requested, it will return with when and why it was removed in the removedDescription and will be of type Remove.

Path Parameters

NameDescription
versionstringThe skills taxonomy version.Example: latest
skill_idstringSkill ID.Example: KS1200364C9C1LK3V5Q1

Code Examples

curl --request GET \
     --url https://api.lightcast.io/skills/versions/9.31/skills/KS1200364C9C1LK3V5Q1 \
     --header 'accept: application/json' \
     --header 'authorization: Bearer '

Response Examples

{
  "attributions": [
    {
      "name": "Wikipedia",
      "text": "Wikipedia extracts are distributed under the CC BY-SA license (https://creativecommons.org/licenses/by-sa/3.0/)"
    }
  ],
  "data": {
    "id": "KS1200364C9C1LK3V5Q1",
    "infoUrl": "https://lightcast.io/open-skills/skills/KS1200364C9C1LK3V5Q1",
    "isLanguage": false,
    "isSoftware": true,
    "name": "C (Programming Language)",
    "removedDescription": null,
    "tags": [
      {
        "key": "wikipediaExtract",
        "value": "C is a general-purpose, procedural computer programming language supporting structured programming, lexical variable scope, and recursion, with a static type system. By design, C provides constructs that map efficiently to typical machine instructions. It has found lasting use in applications previously coded in assembly language. Such applications include operating systems and various application software for computer architectures that range from supercomputers to PLCs and embedded systems."
      },
      {
        "key": "wikipediaUrl",
        "value": "https://en.wikipedia.org/wiki/C_(programming_language)"
      }
    ],
    "type": {
      "id": "ST1",
      "name": "Specialized Skill"
    }
  }
}
{
  "errors": [
    {
      "title": "URL not found",
      "status": 404,
      "detail": "Unrecognized version: 77"
    }
  ]
}